Bug 152600 - javax.swing.text.BadLocationException: Invalid offset=10444 not within <0, 10395>
javax.swing.text.BadLocationException: Invalid offset=10444 not within <0, 10...
Status: VERIFIED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Torbjorn Norbye
issues@javascript
http://statistics.netbeans.org/except...
65fixes3-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-07 02:09 UTC by Torbjorn Norbye
Modified: 2009-03-16 16:32 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Torbjorn Norbye 2008-11-07 02:09:09 UTC
javax.swing.text.BadLocationException: Invalid offset=10444 not within <0, 10395>
        at org.netbeans.editor.Utilities.checkOffsetValid(Utilities.java:1348)
        at org.netbeans.editor.Utilities.checkOffsetValid(Utilities.java:1343)
        at org.netbeans.editor.Utilities.getRowStart(Utilities.java:154)
        at org.netbeans.editor.Utilities.getRowStart(Utilities.java:137)
        at org.netbeans.modules.javascript.editing.JsOccurrenceFinder.highlightExitPoints(JsOccurrenceFinder.java:321)
        at org.netbeans.modules.javascript.editing.JsOccurrenceFinder.highlightExitPoints(JsOccurrenceFinder.java:344)
        at org.netbeans.modules.javascript.editing.JsOccurrenceFinder.highlightExits(JsOccurrenceFinder.java:267)
        at org.netbeans.modules.javascript.editing.JsOccurrenceFinder.run(JsOccurrenceFinder.java:191)
        at org.netbeans.modules.javascript.editing.JsOccurrenceFinder.run(JsOccurrenceFinder.java:61)
        at org.netbeans.modules.gsfret.editor.semantic.MarkOccurrencesHighlighter.processImpl(MarkOccurrencesHighlighter.java:173)
        at org.netbeans.modules.gsfret.editor.semantic.MarkOccurrencesHighlighter.run(MarkOccurrencesHighlighter.java:113)
        at org.netbeans.modules.gsfret.editor.semantic.MarkOccurrencesHighlighter.run(MarkOccurrencesHighlighter.java:80)
        at org.netbeans.napi.gsfret.source.Source$CompilationJob.run(Source.java:1362)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$W
Comment 1 Torbjorn Norbye 2008-11-07 02:12:06 UTC
Fixed in changeset 40fc53dbd584.
Comment 2 rbalada 2008-11-13 15:42:35 UTC
Since this issue is P3 priority, in accord with rules "How to include issues into patch"
(http://wiki.netbeans.org/NetBeansPatches) it must include an explanation as to why its backport is necessary and how
safe it is.

Could you please provide such explanation?
Comment 3 rbalada 2008-11-14 10:10:52 UTC
Please verify this issue so it can be included in NetBeans 6.5 Patch1
Comment 4 pgebauer 2008-11-24 09:31:08 UTC
The issue didn't pass the nomination process by nomination cut-off date. It has been marked as 65fixes2-candidate.
Comment 5 pgebauer 2009-01-14 09:54:02 UTC
The issue hasn't passed the nomination process for 65patch2 by cut-off date. It has been moved to 65patch3.
Comment 6 Marian Mirilovic 2009-02-19 17:46:29 UTC
100 duplicates -> P2
Comment 7 Martin Schovanek 2009-02-27 08:10:14 UTC
v.
Comment 8 Erno Mononen 2009-03-02 15:52:44 UTC
Transplanted to release65_fixes: http://hg.netbeans.org/release65_fixes/rev/f1e0fd793ecc.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo